#
# spec file for package logsurfer (Version 1.5a)
#
# Copyright (c) 2002 SuSE Linux AG, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  
# usedforbuild    aaa_base aaa_dir base bash bindutil bison bzip compress cpio cpp cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gdbm-devel glibc glibc-devel gpm gppshare grep groff gzip kbd less m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam-devel patch ps rcs readline sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim autoconf automake binutils cracklib gcc gdbm gettext libtool libz pam perl rpm

Name:         logsurfer
Provides:     logsurf
Obsoletes:    logsurf
Copyright:    Free
Group:        Utilities/Security
Url:          http://concert.cert.dfn.de/eng/logsurf/home.html
Autoreqprov:  on
Summary:      Powerfull tool to observe logfiles
Version:      1.5a
Release:      301
Source:       logsurfer-%{version}.tar.bz2
Patch:        logsurfer-%{version}.dif
Patch1:       logsurfer-%{version}-ia64.dif
Patch2:       logsurfer-ob1-heap_plus_initialization.diff
BuildRoot:    %{_tmppath}/%{name}-%{version}-build

%description
This program makes it possible to observe logfiles and to react on
special events, that can be defined by regular expressions, with a
defined action, e.g. to send a mail.

Authors:
--------
    Wolfgang Ley <ley@cert.dfn.de>

SuSE series: ap

%prep
%setup
%patch
%patch1
%patch2 -p1

%build
%{suse_update_config -f}
autoconf
CFLAGS="$RPM_OPT_FLAGS" ./configure \
                       --with-etcdir=/etc \
                       --prefix=/usr \
                       --exec-prefix=/usr \
                       --mandir=%{_mandir}
make

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
install -d -m 755 $RPM_BUILD_ROOT/etc/
install -m 644 logsurfer.conf $RPM_BUILD_ROOT/etc/logsurfer.conf

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc ChangeLog DISCLAIMER README TODO Y2K contrib regex
%doc %{_mandir}/man?/*
/usr/bin/logsurfer
%config(noreplace) /etc/logsurfer.conf

%changelog -n logsurfer
* Thu Oct 10 2002 - draht@suse.de
- logsurfer-ob1-heap_plus_initialization.diff solves an off by one
  overflow and a bug caused by uninitialized memory (security).
* Thu May 17 2001 - cihlar@suse.cz
- fixed cast warnings on ia64
* Wed Mar 07 2001 - cihlar@suse.cz
- update to version 1.5a
* Wed Nov 08 2000 - cihlar@suse.cz
- renamed to long name
- bzipped sources
- clean up spec file
* Wed Aug 16 2000 - cihlar@suse.cz
- added BuildRoot
* Thu Mar 02 2000 - choeger@suse.de
- new version 1.5 and mandir macro
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Mon Jun 29 1998 - choeger@suse.de
- new package, v1.41
